import React from 'react';
import { render } from 'react-dom';
import { createStyles, makeStyles } from '@material-ui/core/styles';
import Paper from '@material-ui/core/Paper';
import CssBaseline from '@material-ui/core/CssBaseline';
import { Jupyter } from '../jupyter/Jupyter';
import { Notebook } from '../index';
import NotebookExampleHeader from './NotebookExampleHeader';
import './../../style/index.css';
const useStyles = makeStyles((theme) => createStyles({
    root: {
        marginLeft: theme.spacing(16),
        marginRight: theme.spacing(16),
        minWidth: '500px',
        display: 'flex',
        flexWrap: 'wrap',
        '& > *': {
            margin: theme.spacing(1),
            width: theme.spacing(16),
            height: theme.spacing(16),
        },
    },
}));
export default function NotebookExample() {
    const classes = useStyles();
    return (React.createElement("div", { className: classes.root },
        React.createElement(Jupyter, { collaborative: true, terminals: true },
            React.createElement(Paper, { elevation: 3, style: { width: '100%' } },
                React.createElement(NotebookExampleHeader, null),
                React.createElement(Notebook, { path: 'test.ipynb' })))));
}
const el = document.createElement('div');
document.body.appendChild(el);
render(React.createElement(React.Fragment, null,
    React.createElement(CssBaseline, null),
    React.createElement(NotebookExample, null)), el);
//# sourceMappingURL=NotebookExample.js.map