import React, { useState } from 'react';
import { useDispatch } from "react-redux";
import Button from '@material-ui/core/Button';
import Grid from '@material-ui/core/Grid';
import Switch from '@material-ui/core/Switch';
import FormGroup from '@material-ui/core/FormGroup';
import Typography from '@material-ui/core/Typography';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import AddCircleOutlineIcon from '@material-ui/icons/AddCircleOutline';
import PlayCircleOutlineIcon from '@material-ui/icons/PlayCircleOutline';
import StopOutlined from '@material-ui/icons/StopOutlined';
import QuestionAnswerOutlined from '@material-ui/icons/QuestionAnswerOutlined';
import { notebookActions, selectNotebook } from '../widgets/notebook/NotebookRedux';
import { Terminal } from './../index';
const terminal = React.createElement(Terminal, null);
const NotebookExampleHeader = () => {
    const [state, setState] = useState({
        terminal: false,
    });
    const dispatch = useDispatch();
    const notebook = selectNotebook();
    const handleChange = (event) => {
        setState(Object.assign(Object.assign({}, state), { [event.target.name]: event.target.checked }));
    };
    return (React.createElement(React.Fragment, null,
        React.createElement(Grid, { container: true, spacing: 3, style: { padding: '30px 110px 0px 30px' } },
            React.createElement(Grid, { item: true, xs: 6 },
                React.createElement(Grid, { container: true, justify: "flex-start" },
                    React.createElement(Button, { variant: "text", color: "default", startIcon: React.createElement(AddCircleOutlineIcon, null), onClick: () => dispatch(notebookActions.insertBelow.started()) }, "Text"),
                    React.createElement(Button, { variant: "text", color: "default", startIcon: React.createElement(AddCircleOutlineIcon, null), onClick: () => dispatch(notebookActions.insertBelow.started()) }, "Markdown"),
                    React.createElement(Button, { variant: "text", color: "default", startIcon: React.createElement(AddCircleOutlineIcon, null), onClick: () => dispatch(notebookActions.insertBelow.started()) }, "Code"))),
            React.createElement(Grid, { item: true, xs: 6 },
                React.createElement(Grid, { container: true, justify: "flex-end" },
                    React.createElement(FormGroup, { row: true },
                        React.createElement(FormControlLabel, { control: React.createElement(Switch, { checked: state.terminal, onChange: handleChange, name: "terminal" }), label: React.createElement(Typography, { variant: "body2", display: "block" }, "Terminal") })),
                    (notebook.kernelStatus === 'idle') &&
                        React.createElement(Button, { variant: "outlined", color: "default", startIcon: React.createElement(PlayCircleOutlineIcon, null), onClick: () => dispatch(notebookActions.runAll.started()) }, "Run all"),
                    (notebook.kernelStatus === 'busy') &&
                        React.createElement(Button, { variant: "outlined", color: "secondary", startIcon: React.createElement(StopOutlined, null), onClick: () => dispatch(notebookActions.interrupt.started()) }, "Stop"),
                    ((notebook.kernelStatus !== 'idle') && (notebook.kernelStatus !== 'busy')) &&
                        React.createElement(Button, { variant: "outlined", color: "primary", startIcon: React.createElement(QuestionAnswerOutlined, null) })))),
        state.terminal && terminal));
};
export default NotebookExampleHeader;
//# sourceMappingURL=NotebookExampleHeader.js.map