import React from 'react';
import store from '../redux/Store';
import { PageConfig } from '@jupyterlab/coreutils';
import { JupyterContextProvider } from './JupyterContext';
import { loadConfig, getJupyterServerBaseUrl, getJupyterServerWsUrl, getToken } from './JupyterConfig';
import { ThemeProvider } from '@material-ui/core/styles';
import { lightTheme } from '@jupyter-react/light-theme';
export const Jupyter = (props) => {
    loadConfig();
    const collaborative = props.collaborative || false;
    PageConfig.setOption('collaborative', String(collaborative));
    const terminalsAvailable = props.terminals || false;
    PageConfig.setOption('terminalsAvailable', String(terminalsAvailable));
    PageConfig.setOption('baseUrl', getJupyterServerBaseUrl());
    PageConfig.setOption('wsUrl', getJupyterServerWsUrl());
    PageConfig.setOption('token', getToken());
    return (React.createElement(ThemeProvider, { theme: props.theme || lightTheme },
        React.createElement(JupyterContextProvider, { initialJupyter: "lightblue", store: store }, props.children)));
};
//# sourceMappingURL=Jupyter.js.map