let config = {
    jupyterServerBaseUrl: 'http://localhost:8080/api/jupyterpool',
    jupyterServerWsUrl: 'ws://localhost:8888/api/jupyterpool',
    token: '',
};
export const setJupyterServerBaseUrl = (jupyterServerBaseUrl) => {
    config.jupyterServerBaseUrl = jupyterServerBaseUrl;
};
export const getJupyterServerBaseUrl = () => config.jupyterServerBaseUrl;
export const setJupyterServerWsUrl = (jupyterServerWsUrl) => {
    config.jupyterServerWsUrl = jupyterServerWsUrl;
};
export const getJupyterServerWsUrl = () => config.jupyterServerWsUrl;
export const setToken = (token) => {
    config.token = token;
};
export const getToken = () => config.token;
export const loadConfig = () => {
    let config = Object.create({});
    const htmlConfig = document.getElementById('jupyter-react-config-data');
    if (htmlConfig) {
        config = JSON.parse(htmlConfig.textContent || '');
        if (config['jupyterServerBaseUrl']) {
            setJupyterServerBaseUrl(config['jupyterServerBaseUrl']);
        }
        if (config['jupyterServerWsUrl']) {
            setJupyterServerWsUrl(config['jupyterServerWsUrl']);
        }
        if (config['token']) {
            setToken(config['token']);
        }
    }
};
//# sourceMappingURL=JupyterConfig.js.map