import React, { useState } from 'react';
import CellLumino from './CellLumino';
import LuminoAttached from '../../lumino/LuminoAttached';
import { useDispatch } from "react-redux";
import { map } from "rxjs/operators";
import { cellEpics, cellActions, cellReducer } from './CellRedux';
import store from '../../redux/Store';
import { asObservable } from '../../lumino/LuminoObservable';
import './Cell.css';
const CODE = `from IPython.display import display
for i in range(10):
    display('String %d added to the DOM in separated DIVs.' % i)`;
const Cell = () => {
    const [cellLumino, _] = useState(new CellLumino(CODE));
    const dispatch = useDispatch();
    const outputs$ = asObservable(cellLumino.cell.outputArea.outputLengthChanged);
    outputs$.subscribe(n => { dispatch(cellActions.outputs.started(n)); });
    outputs$.pipe(map(output => console.log('---', output)));
    store.injectReducer('cell', cellReducer);
    store.injectEpic(cellEpics(cellLumino));
    return React.createElement(LuminoAttached, null, cellLumino.panel);
};
export default Cell;
//# sourceMappingURL=Cell.js.map