import React from 'react';
import ReactDOM from 'react-dom';
import { LuminoReactPortal } from '../../../lumino/LuminoReactPortal';
import { v4 as uuidv4 } from 'uuid';
import CellSidebarReact from './CellSidebarReact';
import store from '../../../redux/Store';
import { notebookActions } from '../NotebookRedux';
const CELL_HEADER_CLASS = 'jp-CellHeader';
const CELL_HEADER_DIV_CLASS = 'dla-cellHeaderContainer';
const SidebarPortal = (props) => {
    return React.createElement("div", { className: CELL_HEADER_DIV_CLASS },
        React.createElement(CellSidebarReact, { command: props.commands, id: props.id }));
};
export class CellSidebar extends LuminoReactPortal {
    constructor(commands) {
        super();
        this.commands = commands;
        this.addClass(CELL_HEADER_CLASS);
        this.id = uuidv4();
        // TODO(ECH) Push this logic to the LuminoReactPortal.render() method.
        const portal = ReactDOM.createPortal(React.createElement(SidebarPortal, { commands: this.commands, id: this.id }), this.node);
        store.dispatch(notebookActions.portal.started(portal));
    }
}
//# sourceMappingURL=CellSidebar.js.map