import React, { useState } from 'react';
import { useDispatch } from 'react-redux';
import PlayArrow from '@material-ui/icons/PlayArrowOutlined';
import Delete from '@material-ui/icons/DeleteOutline';
import Typography from '@material-ui/core/Typography';
import ArrowUpwardIcon from '@material-ui/icons/ArrowUpward';
import ArrowDownwardIcon from '@material-ui/icons/ArrowDownward';
import { selectNotebook, notebookActions } from '../NotebookRedux';
const CELL_HEADER_DIV_CLASS = 'dla-cellHeaderContainer';
const CellSidebarReact = (props) => {
    var _a, _b;
    const [visible, setVisible] = useState(false);
    const dispatch = useDispatch();
    const paperBook = selectNotebook();
    const layout = ((_a = paperBook.activeCell) === null || _a === void 0 ? void 0 : _a.layout);
    if (layout) {
        const selectedCellSidebar = ((_b = paperBook.activeCell) === null || _b === void 0 ? void 0 : _b.layout).widgets[0];
        if (!visible && (selectedCellSidebar.id === props.id)) {
            setVisible(true);
        }
        if (visible && (selectedCellSidebar.id !== props.id)) {
            setVisible(false);
        }
    }
    if (!visible) {
        return React.createElement("div", null);
    }
    return (React.createElement("div", { className: CELL_HEADER_DIV_CLASS },
        React.createElement("div", { onClick: event => {
                dispatch(notebookActions.run.started());
            } },
            React.createElement("span", { style: { display: "flex" } },
                React.createElement(PlayArrow, { fontSize: "small" }),
                React.createElement(Typography, { variant: "body2", color: "textSecondary" }, "Render"))),
        React.createElement("div", { onClick: event => {
                dispatch(notebookActions.insertAbove.started());
            } },
            React.createElement("span", { style: { display: "flex" } },
                React.createElement(ArrowUpwardIcon, { fontSize: "small" }),
                React.createElement(Typography, { variant: "body2", color: "textSecondary" }, "Add above"))),
        React.createElement("div", { onClick: event => {
                dispatch(notebookActions.insertBelow.started());
            } },
            React.createElement("span", { style: { display: "flex" } },
                React.createElement(ArrowDownwardIcon, { fontSize: "small" }),
                React.createElement(Typography, { variant: "body2", color: "textSecondary" }, "Add below"))),
        React.createElement("div", { onClick: event => {
                dispatch(notebookActions.delete.started(undefined));
            } },
            React.createElement("span", { style: { display: "flex" } },
                React.createElement(Delete, { fontSize: "small" }),
                React.createElement(Typography, { variant: "body2", color: "textSecondary" }, "Delete")))));
};
export default CellSidebarReact;
//# sourceMappingURL=CellSidebarReact.js.map